# Module router/common/trace

# Transition tracing (debug)

Enable transition tracing to print transition information to the console, in order to help debug your application. Tracing logs detailed information about each Transition to your console.

To enable tracing, import the [[Trace]] singleton and enable one or more categories.

### ES6

    import {trace} from "@uirouter/core/index";
    trace.enable(1, 5); // TRANSITION and VIEWCONFIG

### CJS

    let trace = require("@uirouter/core").trace;
    trace.enable("TRANSITION", "VIEWCONFIG");

### Globals

    let trace = window["@uirouter/core"].trace;
    trace.enable(); // Trace everything (very verbose)

### Angular 1:

    app.run($trace => $trace.enable());

## Enumerations

Category

## Classes

Trace

## Variables

trace